%define module_name DB_File
%define module_dir  DB_File

Name: perl-%module_name
Version: 1.806
Release: alt1

Summary: %module_name module for perl
Summary(ru_RU.KOI8-R):  %module_name   Perl

Group: Development/Perl
Url: http://www.cpan.org/modules/by-module/%module_dir/
License: GPL or Artistic

# http://www.perl.com/CPAN/modules/by-module/DB_File/
Source: %module_name-%version.tar.bz2
Source1: perl-5.8.0-AnyDBM_File.pm
Patch: perl-5.8.0-AnyDBM_File-DB_File.patch

# Automatically added by buildreq on Sun Nov 03 2002
BuildRequires: libdb4-devel perl-devel

%description
DB_File is a module which allows Perl programs to make use of the facilities
provided by Berkeley DB version 1. (DB_File can be built version 2 or 3 of
Berkeley DB, but it will only support the 1.x features),

If you want to make use of the new features available in Berkeley DB
2.x or 3.x, use the Perl module BerkeleyDB instead.

Berkeley DB is a C library which provides a consistent interface to a number
of database formats. DB_File provides an interface to all three of the
database types (hash, btree and recno) currently supported by Berkeley DB.

%description -l ru_RU.KOI8-R
 perl-DB_File  ,    Perl 
Berkeley DB  1 ( DB_File       2  3
Berkeley DB,     ).

      Berkeley DB, 
  2  3,   BerkeleyDB.

Berkeley DB  ,     
   . DB_File     
   (, b-  recno),  Berkeley DB.

%prep
%setup -q -n %module_name-%version
%__install -p -m644 %SOURCE1 AnyDBM_File.pm
%patch

%build
%perl_vendor_build

%install
%perl_vendor_install
%__mv	$RPM_BUILD_ROOT%perl_vendor_archlib/AnyDBM_File.pm \
	$RPM_BUILD_ROOT%perl_vendor_privlib/AnyDBM_File.pm

%files
%perl_vendor_privlib/AnyDBM_File.pm
%perl_vendor_archlib/%module_name.pm
%perl_vendor_autolib/%module_dir
%perl_vendor_man3dir/*

%changelog
* Sun Nov 03 2002 Alexey Tourbin <at@altlinux.ru> 1.806-alt1
- 1.806
- perl-5.8 build with new rpm macros
- AnyDBM_File.pm included; utilizes DB_File only (by default)

* Fri Jun 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.804-alt1
- 1.804

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 1.803-alt1
- 1.803
- Rebuilt with db4

* Thu Sep 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.78-alt1
- 1.78 (built with libdb3-3.3.11).

* Mon Jul 23 2001 Stanislav Ievlev <inger@altlinux.ru> 1.73-ipl5mdk
- Rebuilt with new perl again.

* Mon Jun 25 2001 Stanislav Ievlev <inger@altlinux.ru> 1.73-ipl4mdk
- Rebuilt with perl-5.6.1
 
* Wed Apr 04 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.73-ipl3mdk
- Rebuilt with db3-3.2.9.

* Fri Jan 26 2001 Alexander Bokovoy <ab@avilink.net> ipl2mdk
- Rebuild from scratch using MZh's spec skeleton file
